import {
  Network,
  RpcConnection,
  SignAndSendSigner,
  Signer,
  TxHash,
  UnsignedTransaction,
} from "@wormhole-foundation/connect-sdk";
import { AptosAccount, AptosClient } from "aptos";
import { AptosChains } from "./types";
export declare function getAptosSigner(
  rpc: RpcConnection<"Aptos">,
  privateKey: string,
): Promise<Signer>;
export declare class AptosSigner<N extends Network, C extends AptosChains>
  implements SignAndSendSigner<N, C>
{
  private _chain;
  private _account;
  private _rpc;
  constructor(_chain: C, _account: AptosAccount, _rpc: AptosClient);
  chain(): C;
  address(): string;
  signAndSend(tx: UnsignedTransaction[]): Promise<TxHash[]>;
  private _simSignSend;
}
//# sourceMappingURL=signer.d.ts.map
